//
//  BusinessSection.swift
//  City Sights App
//
//  Created by Milos Ilic on 15.1.23..
//

import SwiftUI

struct BusinessSection: View {
    
    var title: String
    var businesses: [Business]
    var body: some View {
        
        Section (header: BusinessSectionHeader(title: title)) {
            ForEach (businesses) { business in
                
                NavigationLink {
                    
                    BusinessDetail(business: business)
                    
                } label: {
                    
                    BusinessRow(business: business)
                    
                }

                
                
            }
        }
    }
}

